import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import BlockBannerInfo from './block-banner-info';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {
	layoutDesktop: {
		control: {
			type: 'select',
			options: ['Image first', 'Content first'],
		},
	},
	layoutMobile: {
  		control: {
  			type: 'select',
  			options: ['Image first', 'Content first'],
  		},
  	},
};

export const controls = {
	color: ['headingColor', 'copyColor'],
	json: ['desktopImage', 'mobileImage'],
};

<Meta title="Banner Info" component={BlockBannerInfo} argTypes={addControls(argTypes, controls)} />

# Banner Info

This module is used mainly on the about page.

It is used to display an informational banner with an image and rich text content.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockBannerInfo },
		template: '<block-banner-info v-bind="$props" />',
	};
};

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			appButtons: 'No',
			backgroundColor: 'Green',
			content:
				'<h3>Let’s solve some of the world’s greatest challenges together. </h3><p>We’re always looking for talented people who are passionate about leveraging science, technology, and a superior customer experience to create a better world. Join the Molekule team or partner with us, and become part of something bigger.</p>',
			contentSecondary: `<p><a  href=" / careers ">Join our team &gt;</a></p>`,
			desktopImage: {
				url:
					'https://images.prismic.io/molekule/2e29fea73269b70c006349a9ce4ab35af7083c5d_image-from-ios-1.jpg?auto=compress,format',
				alt: null,
				copyright: null,
				width: 5449,
				height: 3066,
			},
			imageSizeDesktop: 'Default',
			layoutDesktop: 'Content first',
			layoutMobile: 'Image first',
			mobileImage: {
				url:
					'https://images.prismic.io/molekule/2e29fea73269b70c006349a9ce4ab35af7083c5d_image-from-ios-1.jpg?auto=compress,format',
				alt: null,
				copyright: null,
				width: 5449,
				height: 3066,
			},
			useNocookieUrl: false,
			videoOverlay: {},
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockBannerInfo} />
